Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.component
Class UserRoleUtils

    java.lang.Object
      org.apache.myfaces.component.UserRoleUtils

public class UserRoleUtils
extends java.lang.Object

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Constructor Summary
`UserRoleUtils()`

Method Summary
`static boolean` | `isEnabledOnUserRole(javax.faces.component.UIComponent component)` Gets the comma separated list of enabling user roles from the given component and checks if current user is in one of these roles.
`static boolean` | `isVisibleOnUserRole(javax.faces.component.UIComponent component)` Gets the comma separated list of visibility user roles from the given component and checks if current user is in one of these roles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserRoleUtils

    public UserRoleUtils()

Method Detail

### isVisibleOnUserRole

    public static boolean isVisibleOnUserRole(javax.faces.component.UIComponent component)

  Gets the comma separated list of visibility user roles from the given component and checks if current user is in one of these roles.

  Parameters:
    `component` - a user role aware component
  Returns:
    true if no user roles are defined for this component or user is in one of these roles, false otherwise

### isEnabledOnUserRole

    public static boolean isEnabledOnUserRole(javax.faces.component.UIComponent component)

  Gets the comma separated list of enabling user roles from the given component and checks if current user is in one of these roles.

  Parameters:
    `component` - a user role aware component
  Returns:
    true if no user roles are defined for this component or user is in one of these roles, false otherwise

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD